<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html>
<head>
  <title>find (Font)</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="../.././rdoc-style.css" type="text/css" media="screen" />
</head>
<body class="standalone-code">
  <pre><span class="ruby-comment cmt"># File font.rb, line 37</span>
  <span class="ruby-keyword kw">def</span> <span class="ruby-constant">Font</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">directories</span>, <span class="ruby-identifier">extensions</span>)
    <span class="ruby-identifier">paths</span> = []
    <span class="ruby-identifier">directories</span>.<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">directory</span><span class="ruby-operator">|</span>
      <span class="ruby-identifier">paths</span>.<span class="ruby-identifier">push</span>(<span class="ruby-constant">Font</span>.<span class="ruby-identifier">find_in_dir</span>(<span class="ruby-identifier">directory</span>, <span class="ruby-identifier">extensions</span>))
    <span class="ruby-keyword kw">end</span>
    <span class="ruby-keyword kw">return</span> <span class="ruby-identifier">paths</span>.<span class="ruby-identifier">flatten</span>
  <span class="ruby-keyword kw">end</span></pre>
</body>
</html>